apiVersion: apps/v1
kind: Deployment
metadata:
  name: tpcc-client
  labels:
    app: tpcc-client
spec:
  replicas: 1
  selector:
    matchLabels:
      app: tpcc-client
  template:
    metadata:
      labels:
        app: tpcc-client
    spec:
      containers:
      - name: tpcc-client
        image: {{ .Values.global.IMXC_IN_REGISTRY }}/tpcc-client:R30020210216
        ports:
          - containerPort: 30000
        envFrom:
          - configMapRef:
              name: tpcc-client-config
